Skip to main content
PUT
Update an event table

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

eventId
integer
required

Record ID in the authenticated organization.

Example:

42

id
integer
required

Journey ID in the authenticated organization.

Example:

42

Body

application/json
name
string

Name.

Maximum string length: 255
Example:

"Annual Gala"

section
string | null

Section.

Maximum string length: 255
Example:

"Example"

capacity
integer | null

Capacity.

Required range: x >= 1
Example:

1

host_donor_id
integer | null

Host donor id. Referenced record must belong to the authenticated organization.

Example:

1

sort_order
integer | null

Sort order.

Example:

1

notes
string | null

Notes.

Example:

"Example"

Response

Update an event table completed.

data
object